HORIZON HASKELLDocslts/ghc-9.10.x248f8f02026-10-05Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · 248f8f0 · 2026-10-05

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.GetFiles

Contains the different functions to run the operation getFiles

  • 6 types
  • 4 values
valuegetFiles
  1. :: MonadHTTP m
  2. => GetFilesParameters

    Contains all available parameters of this operation (query and path parameters)

  3. -> ClientT m (Response GetFilesResponse)

    Monadic computation which returns the result of the operation

#
GET /v1/files

<p>Returns a list of the files that your account has access to. The files are returned sorted by creation date, with the most recently created files appearing first.</p>

datadata GetFilesParameters
#

Defines the object schema located at paths./v1/files.GET.parameters in the specification.

Constructors

  • GetFilesParameters
    • getFilesParametersQueryCreated :: Maybe GetFilesParametersQueryCreated'Variants

      queryCreated: Represents the parameter named 'created'

    • getFilesParametersQueryEndingBefore :: Maybe Text

      queryEnding_before: Represents the parameter named 'ending_before'

      A cursor for use in pagination. `ending_before` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with `obj_bar`, your subsequent call can include `ending_before=obj_bar` in order to fetch the previous page of the list.

      Constraints:

      • Maximum length of 5000

    • getFilesParametersQueryExpand :: Maybe [Text]

      queryExpand: Represents the parameter named 'expand'

      Specifies which fields in the response should be expanded.

    • getFilesParametersQueryLimit :: Maybe Int

      queryLimit: Represents the parameter named 'limit'

      A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

    • getFilesParametersQueryPurpose :: Maybe GetFilesParametersQueryPurpose'

      queryPurpose: Represents the parameter named 'purpose'

      The file purpose to filter queries by. If none is provided, files will not be filtered by purpose.

      Constraints:

      • Maximum length of 5000

    • getFilesParametersQueryStartingAfter :: Maybe Text

      queryStarting_after: Represents the parameter named 'starting_after'

      A cursor for use in pagination. `starting_after` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with `obj_foo`, your subsequent call can include `starting_after=obj_foo` in order to fetch the next page of the list.

      Constraints:

      • Maximum length of 5000

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/files.GET.parameters.properties.queryCreated.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/files.GET.parameters.properties.queryCreated.anyOf in the specification.

Represents the parameter named 'created'

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/files.GET.parameters.properties.queryPurpose in the specification.

Represents the parameter named 'purpose'

The file purpose to filter queries by. If none is provided, files will not be filtered by purpose.

Constructors

Instances4Eq, Show, FromJSON, ToJSON
datadata GetFilesResponse
#

Represents a response of the operation getFiles.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), GetFilesResponseError is used.

Constructors

Instances2Eq, Show

Defines the object schema located at paths./v1/files.GET.responses.200.content.application/json.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON